Scriptname MeatFarmBreedingSow extends ReferenceAlias  

Quest property Breed_Male auto
MeatFarmCattleMenu property CM auto
SexLabFramework property SexLab auto

ObjectReference property BreedingDevice auto

event OnActivate(ObjectReference akActivator)

	if Breed_Male.GetStage() == 10
		Breed_Male.SetStage(20)
	endIf
	
	
	PillorySex(self.GetActorRef() , Game.GetPlayer(), BreedingDevice)

endEvent


;;;;;;;;;;;;;;;;;;;;


ObjectReference pillory
bool function PillorySex(Actor SexActor1, Actor SexActor2, ObjectReference pilloryRef,bool spectators=false) 
	;SexActor1 = the female, SexActor2 = the male

	pillory = pilloryRef
	sslBaseAnimation anim1 = SexLab.GetAnimationByName("$ZazAP_PillorySex01")
	sslBaseAnimation anim2 = SexLab.GetAnimationByName("$ZazAP_PillorySex02")

	sslBaseAnimation[] anims = new sslBaseAnimation[2]
	anims[0] = anim1
	anims[1] = anim2

	;debug.MessageBox(sslUtility.GetAnimationNames(anims))

	sslThreadModel thread = SexLab.NewThread()
	thread.AddActor(SexActor1)
	thread.AddActor(SexActor2)
	;thread.DisableUndressAnimation(SexActor1)
	thread.CenterOnObject(pillory)
	thread.SetAnimations(anims)
	Thread.SetHook("MeatFarmPillorySex")
	RegisterForModEvent("HookAnimationEnd_MeatFarmPillorySex", "myAnimEndEventHandler")
	thread.VictimRef = none
	thread.IsAggressive = true
	thread.SetBedding(0)
	thread.DisableBedUse()
	thread.DisableRagdollEnd(SexActor1, disabling = True)
	thread.DisableRagdollEnd(SexActor2, disabling = True)

	Pillory.Disable()

	if !thread.StartThread()
		debug.messagebox("PillorySex thread start failed")
		return false
	else
		;Debug.SendAnimationEvent(PlayerRef, "IdleChairExitStart")
		return true
	endif
endfunction

Event myAnimEndEventHandler(int tid, bool HasPlayer)
	Pillory.Enable()
endEvent
