Scriptname MeatFarmEpilogue extends Quest  


Armor property DecapNeck auto
Idle property TestIdle auto
Quest property PlayerUsePolePackage auto
zbfPlayerControl property zbfPC auto
ImageSpaceModifier property BlackScreen auto
Actor property player auto
Spell property CattleDrugs auto
ObjectReference Property MarketPole1  Auto  
ObjectReference Property MarketPole2  Auto  
ObjectReference Property MarketPole3  Auto  
Actor Property MarketMeat1  Auto  
Actor Property MarketMeat2  Auto  
Actor Property MarketMeat3  Auto  

Function MeatMarket()
	Game.SetGameSettingFloat("fPlayerDeathReloadTime",360) ;360s = 6 minutes

	utility.wait(1)
	BlackScreen.Apply(1)
	utility.wait(0.5)
	RemovePamaEffects()
	Revive(player)

	player.RemoveSpell(CattleDrugs) ;this is to prevent player from leaving the bondage pole
	Game.SetBeastForm(true)

	;Wait for the player to get up from ragdoll
	While !(player.PlayIdle(TestIdle))
		utility.wait(0.1)
	endWhile

	player.RemoveAllItems() ;make naked
	player.EquipItem(DecapNeck,false,true)
	
	int place_to_hang
	place_to_hang = Utility.RandomInt(1, 3)

	if place_to_hang == 1
	
		;Get rid of the meatslave already occupying the pole
		if !(MarketMeat1.IsDead())
			MarketMeat1.Delete()
		endIf

		player.moveto(MarketPole1)

	elseif  place_to_hang == 2

		;Get rid of the meatslave already occupying the pole
		if !(MarketMeat2.IsDead())
			MarketMeat2.Delete()
		endIf
		
		player.moveto(MarketPole2)

	elseif  place_to_hang == 3
		
		;Get rid of the meatslave already occupying the pole
		if !(MarketMeat3.IsDead())
			MarketMeat3.Delete()
		endIf

		player.moveto(MarketPole3)

	endIf

	zbfPC.SetDisabledControls(abMovement = true, abFighting = true, abSneaking = true, abMenu = False, abActivate = true)
	Game.SetPlayerAIDriven(True)
	PlayerUsePolePackage.Start()
	Game.ForceThirdPerson()
	utility.wait(4)
	BlackScreen.Remove()

	utility.wait(7)
	debug.notification("MeatFarm: Your story has ended.")
endFunction


Function RemovePamaEffects()
	player.UnequipAll()
	Game.setPlayerAIDriven(false)
	Game.EnablePlayerControls()
endFunction


Actor Function PlayerMeatClone() ;Make a naked and decapitated clone of the player
	actorbase CloneBase = player.GetBaseObject() as ActorBase
	Actor clone = Player.PlaceAtMe(CloneBase) as Actor
	
	clone.SetGhost() ;so that the player can't damage them
	CloneBase.setName("fgfgf") ;so that the player can't activate it
	Clone.RemoveAllItems() ;make naked
	Clone.EquipItem(DecapNeck)

	return Clone
endFunction

function Revive(Actor a)
	a.ResetHealthAndLimbs()
	a.SetUnconscious(true)
	Utility.Wait(0.2)
	a.SetUnconscious(false)
	a.ResetHealthAndLimbs()
	a.PushActorAway(a, 0)

	;To fix the eyes
	a.QueueNiNodeUpdate()

	;To fix the expression (otherwise is permanently stuck to puzzled, idk why)
	a.SetExpressionOverride(7) ;set to neutral mood
EndFunction

