Scriptname MeatFarmDrainScript extends ObjectReference  


Quest property FinalQuest auto
Message property EscapeMsg auto
ObjectReference property EscapeLocation auto
Message property SecretEpilogue auto


int option

Event OnActivate(ObjectReference akActivator)
	if FinalQuest.IsRunning()
		option = EscapeMsg.Show()
		if option == 0
			Escape()
		endIf
	else
		Debug.MessageBox("It's an old drainwater pipe. Seems just big enough for someone to squeeze through")
	endIf
endEvent

Function Escape()
	Game.GetPlayer().MoveTo(EscapeLocation)
	utility.wait(0.3)
	SecretEpilogue.Show()
	FinalQuest.SetStage(111) ; this will mark the quest as failed
endFunction